package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevAlmAbn;
import com.inspect.metadata.montdata.mapper.BasedataMontPatDevAlmAbnMapper;
import com.inspect.metadata.montdata.service.IBasedataMontPatDevAlmAbnService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BasedataMontPatDevAlmAbnServiceImpl implements IBasedataMontPatDevAlmAbnService {
    @Resource
    private BasedataMontPatDevAlmAbnMapper basedataMontPatdevalmabnMapper;

    public BasedataMontPatDevAlmAbn selectBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(Long montPatDevAlmAbnId) {
        return this.basedataMontPatdevalmabnMapper.selectBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(montPatDevAlmAbnId);
    }

    public List<BasedataMontPatDevAlmAbn> selectBasedataMontPatDevAlmAbnList(BasedataMontPatDevAlmAbn basedataMontPatDevAlmAbn) {
        return this.basedataMontPatdevalmabnMapper.selectBasedataMontPatDevAlmAbnList(basedataMontPatDevAlmAbn);
    }

    public int insertBasedataMontPatDevAlmAbn(BasedataMontPatDevAlmAbn basedataMontPatDevAlmAbn) {
        return this.basedataMontPatdevalmabnMapper.insertBasedataMontPatDevAlmAbn(basedataMontPatDevAlmAbn);
    }

    public int updateBasedataMontPatDevAlmAbn(BasedataMontPatDevAlmAbn basedataMontPatDevAlmAbn) {
        return this.basedataMontPatdevalmabnMapper.updateBasedataMontPatDevAlmAbn(basedataMontPatDevAlmAbn);
    }

    public int deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnIds(Long[] montPatDevAlmAbnIds) {
        return this.basedataMontPatdevalmabnMapper.deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnIds(montPatDevAlmAbnIds);
    }

    public int deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(Long montPatDevAlmAbnId) {
        return this.basedataMontPatdevalmabnMapper.deleteBasedataMontPatDevAlmAbnByMontPatDevAlmAbnId(montPatDevAlmAbnId);
    }
}
